MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
OpusReader Class Reference

`#include <OpusReader.hxx>`

## Public Member Functions
| OpusReader (const void *_p, size_t size)
bool | Skip (size_t length)
const void * | Read (size_t length)
bool | Expect (const void *value, size_t length)
bool | ReadByte (uint8_t &value_r)
bool | ReadShort (uint16_t &value_r)
bool | ReadWord (uint32_t &value_r)
bool | SkipString ()
char * | ReadString ()

## Detailed Description

Definition at line 30 of file OpusReader.hxx.

## Constructor & Destructor Documentation

OpusReader::OpusReader | ( | const void * | _p,
|  | size_t | size
| ) |  |
| inline

Definition at line 34 of file OpusReader.hxx.

## Member Function Documentation

bool OpusReader::Expect | ( | const void * | value,
|  | size_t | length
| ) |  |
| inline

Definition at line 49 of file OpusReader.hxx.

const void* OpusReader::Read | ( | size_t | length | ) |
| inline

Definition at line 42 of file OpusReader.hxx.

bool OpusReader::ReadByte | ( | uint8_t & | value_r | ) |
| inline

Definition at line 54 of file OpusReader.hxx.

bool OpusReader::ReadShort | ( | uint16_t & | value_r | ) |
| inline

Definition at line 62 of file OpusReader.hxx.

char* OpusReader::ReadString | ( |  | ) |
| inline

Definition at line 86 of file OpusReader.hxx.

bool OpusReader::ReadWord | ( | uint32_t & | value_r | ) |
| inline

Definition at line 71 of file OpusReader.hxx.

bool OpusReader::Skip | ( | size_t | length | ) |
| inline

Definition at line 37 of file OpusReader.hxx.

bool OpusReader::SkipString | ( |  | ) |
| inline

Definition at line 81 of file OpusReader.hxx.

The documentation for this class was generated from the following file:

- decoder/plugins/OpusReader.hxx